
Foreman - Bug #16416

@host.operatingsystem.password_hash should work with safe mode enabled

09/01/2016 10:37 AM - Sean O'Keeffe

Status: Closed   

Priority: Normal   

Assignee: Sean O'Keeffe   

Category: Templates   

Target version: 1.12.3   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1372385 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/3805,

https://github.com/theforeman/communit

y-templates/pull/296

  

Description

Description of problem:

@host.operatingsystem.password_hash should work with safe mode enabled

Version-Release number of selected component (if applicable):

foreman 1-10

How reproducible:

100%

Steps to Reproduce:

1. try using @host.operatingsystem.password_hash in a KS template with safe_mode render set to true

Actual results:

KS render error

Expected results:

KS to render

Related issues:

Related to Katello - Bug #18508: Katello kickstart template hardcodes root pa... Closed 02/15/2017

Associated revisions

Revision cd34129d - 09/02/2016 04:15 AM - Sean O'Keeffe

Fixes #16416 - Enable reterive password_hash from templates

Revision 42f00d12 - 09/19/2016 11:59 AM - Sean O'Keeffe

Fixes #16416 - Enable reterive password_hash from templates

(cherry picked from commit cd34129df9ea0e3f0873c7c2d9bfa596ff30cb5e)

History

#1 - 09/01/2016 11:00 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3805 added

#2 - 09/01/2016 11:16 AM - The Foreman Bot

- Pull request https://github.com/theforeman/community-templates/pull/296 added

#3 - 09/02/2016 05:01 AM - Sean O'Keeffe

- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset cd34129df9ea0e3f0873c7c2d9bfa596ff30cb5e.

#4 - 09/05/2016 04:05 AM - Dominic Cleal

- translation missing: en.field_release set to 181

#5 - 02/15/2017 03:31 AM - Marek Hulán

- Related to Bug #18508: Katello kickstart template hardcodes root password hash algorithm added
